Generate Sharable Video URL
POST
https://api.konpro.ai/v1/video/shareGenerate a publicly accessible URL for a specific video, allowing easy sharing and viewing without authentication.
Request History
Log in to see full request history
| TIME | STATUS | USER AGENT |
|---|---|---|
| Make a request to see history. | ||
0 Requests This Month
Request Body Parameters
| Field | Type | Description |
|---|---|---|
| video_id | string | Unique identifier of the video |
Response
Returns a JSON object containing the public URL to access the video.
Returns error codes for invalid requests or permission issues.
cURL Request
shell
curl --request POST \
--url https://api.konpro.ai/v1/video/share \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-api-key: <your-api-key>' \
--data '{
"video_id": "<your-video-id>"
}'Example Usage
Shell
curl --request POST \
--url https://api.konpro.ai/v1/video/share \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-api-key: <your-api-key>' \
--data '{
"video_id": "<your-video-id>"
}'LANGUAGE
CREDENTIALS
HEADER
RESPONSE
Examples
Choose an example:
application/json
200 - Result
400 - Result
403 - Result
LANGUAGE
CREDENTIALS
HEADER
RESPONSE
Examples
Choose an example:
application/json
200 - Result
400 - Result
403 - Result